Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.corba
Class UlcCorbaTransportServer

    java.lang.Object
      |
      +--com.ibm.ulc.comm.UlcTransportServer
            |
            +--com.ibm.ulc.corba.UlcCorbaTransportServer

public class UlcCorbaTransportServer
extends UlcTransportServer

A default implemention for ULC transport server using Corba IIOP. Creates UlcCorbaTransports for incoming connections. Override createServantFactory() and createTransport() if you want to use different transports (e.g. for IIOP over SSL). Then put your subclass names in the UlcTransport.properties file instead of the default UlcCorbaTransport and UlcCorbaTransportServer. Override publishServantFactoryIOR() if you want another way to publish the servant factory object's IOR.

See Also:
  `UlcTransportServer`, `UlcCorbaTransport`

Fields inherited from class com.ibm.ulc.comm.UlcTransportServer
`fgDebug`

Constructor Summary
`UlcCorbaTransportServer()` UlcCorbaTransportServer constructor.

Method Summary
`protected com.ibm.ulc.corba.generated.UlcCorbaServantFactory` | `createServantFactory(int port)`
`protected UlcCorbaTransport` | `createTransport(com.ibm.ulc.corba.generated.UlcCorbaObject sender, UlcCorbaServant receiver, java.lang.String receiverIOR)`
`protected void` | `publishServantFactoryIOR(java.lang.String ior)`
`void` | `start()`

Methods inherited from class com.ibm.ulc.comm.UlcTransportServer
`create, getCallingServer, getUrlString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UlcCorbaTransportServer

    public UlcCorbaTransportServer()

  UlcCorbaTransportServer constructor.

Method Detail

### createServantFactory

    protected com.ibm.ulc.corba.generated.UlcCorbaServantFactory createServantFactory(int port)

### createTransport

    protected UlcCorbaTransport createTransport(com.ibm.ulc.corba.generated.UlcCorbaObject sender,
                                                UlcCorbaServant receiver,
                                                java.lang.String receiverIOR)

### publishServantFactoryIOR

    protected void publishServantFactoryIOR(java.lang.String ior)

### start

    public void start()
               throws UlcTransportException

  Overrides:
    start in class UlcTransportServer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD